Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jdeveloper.html
Class DHTMLTable

    java.lang.Object
      |
      +--oracle.jdeveloper.html.HTMLElement
            |
            +--oracle.jdeveloper.html.DHTMLElement
                  |
                  +--oracle.jdeveloper.html.DHTMLElementContainer
                        |
                        +--oracle.jdeveloper.html.HTMLScript
                              |
                              +--oracle.jdeveloper.html.DHTMLTable

Direct Known Subclasses:
  JSTable

public class DHTMLTable
extends HTMLScript

Version:
  PUBLIC

Field Summary
`protected java.lang.String` | `dataSource`
`protected java.lang.String` | `grid`
`protected java.lang.String` | `name`
`protected java.lang.String` | `refName`
`protected java.lang.String` | `setting`
`protected java.lang.String` | `width`
`protected java.lang.String` | `widthPercent`

Fields inherited from class oracle.jdeveloper.html.HTMLScript
`version`

Fields inherited from class oracle.jdeveloper.html.DHTMLElementContainer
`Elements`

Fields inherited from class oracle.jdeveloper.html.HTMLElement
`sClassName`

Constructor Summary
`DHTMLTable()`
`DHTMLTable(java.lang.String name)`

Method Summary
`void` | `addColumn(java.lang.String columnName, java.lang.String text, java.lang.String cellObject, java.lang.String wrap, java.lang.String align)`
`void` | `createIconCell(java.lang.String cellName, java.lang.String style, java.lang.String wrap, java.lang.String align, java.lang.String actionType, java.lang.String defaultAction, java.lang.String targetFrame, java.lang.String iconName, java.lang.String textPosition)`
`void` | `createLinkCell(java.lang.String cellName, java.lang.String style, java.lang.String wrap, java.lang.String align, java.lang.String actionType, java.lang.String defaultAction, java.lang.String targetFrame)`
`void` | `createTextCell(java.lang.String cellName, java.lang.String style, java.lang.String wrap, java.lang.String align)`
`java.lang.String` | `getDataSource()`
`java.lang.String` | `getGrid()`
`java.lang.String` | `getName()`
`java.lang.String` | `getRefName()`
`java.lang.String` | `getSetting()`
`java.lang.String` | `getWidth()`
`java.lang.String` | `getWidthPercent()`
`protected void` | `renderContainerFooter(java.io.PrintWriter out)`
`protected void` | `renderContainerHeader(java.io.PrintWriter out)`
`void` | `setDataSource(java.lang.String dataSource)`
`void` | `setGrid(java.lang.String grid)`
`void` | `setName(java.lang.String name)`
`void` | `setRefName(java.lang.String refName)`
`void` | `setSetting(java.lang.String setting)`
`void` | `setWidth(java.lang.String width)`
`void` | `setWidthPercent(java.lang.String widthPercent)`

Methods inherited from class oracle.jdeveloper.html.HTMLScript
`addFunction, setVersion`

Methods inherited from class oracle.jdeveloper.html.DHTMLElementContainer
`addElement, addElement, elementAt, indexOf, numberOfElements, removeElement, removeElement, removeElementAt, render, renderElementFooter, renderElementHeader`

Methods inherited from class oracle.jdeveloper.html.DHTMLElement
`CheckValidName, filterDataChar`

Methods inherited from class oracle.jdeveloper.html.HTMLElement
`fixFieldValueForHTML, getAsString, getCSSClassName, render, setCSSClassName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### refName

    protected java.lang.String refName

### setting

    protected java.lang.String setting

### grid

    protected java.lang.String grid

### width

    protected java.lang.String width

### widthPercent

    protected java.lang.String widthPercent

### dataSource

    protected java.lang.String dataSource

Constructor Detail

### DHTMLTable

    public DHTMLTable()

### DHTMLTable

    public DHTMLTable(java.lang.String name)

Method Detail

### setName

    public void setName(java.lang.String name)

### getName

    public java.lang.String getName()

### setRefName

    public void setRefName(java.lang.String refName)

### getRefName

    public java.lang.String getRefName()

### setSetting

    public void setSetting(java.lang.String setting)

### getSetting

    public java.lang.String getSetting()

### setGrid

    public void setGrid(java.lang.String grid)

### getGrid

    public java.lang.String getGrid()

### setWidth

    public void setWidth(java.lang.String width)

### getWidth

    public java.lang.String getWidth()

### setWidthPercent

    public void setWidthPercent(java.lang.String widthPercent)

### getWidthPercent

    public java.lang.String getWidthPercent()

### setDataSource

    public void setDataSource(java.lang.String dataSource)

### getDataSource

    public java.lang.String getDataSource()

### createTextCell

    public void createTextCell(java.lang.String cellName,
                               java.lang.String style,
                               java.lang.String wrap,
                               java.lang.String align)

### createLinkCell

    public void createLinkCell(java.lang.String cellName,
                               java.lang.String style,
                               java.lang.String wrap,
                               java.lang.String align,
                               java.lang.String actionType,
                               java.lang.String defaultAction,
                               java.lang.String targetFrame)

### createIconCell

    public void createIconCell(java.lang.String cellName,
                               java.lang.String style,
                               java.lang.String wrap,
                               java.lang.String align,
                               java.lang.String actionType,
                               java.lang.String defaultAction,
                               java.lang.String targetFrame,
                               java.lang.String iconName,
                               java.lang.String textPosition)

### addColumn

    public void addColumn(java.lang.String columnName,
                          java.lang.String text,
                          java.lang.String cellObject,
                          java.lang.String wrap,
                          java.lang.String align)

### renderContainerHeader

    protected void renderContainerHeader(java.io.PrintWriter out)

  Overrides:
    renderContainerHeader in class HTMLScript

### renderContainerFooter

    protected void renderContainerFooter(java.io.PrintWriter out)

  Overrides:
    renderContainerFooter in class HTMLScript

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD